Join us on our own very special Reddit: /r/Linuxers

Heroic Games Launcher has a fresh update released and it comes with some mighty fine new features, all in the name of making your Epic Store library easier to manage on Linux. All still unofficial of course, since the store doesn't support Linux directly.

With HGL version 1.10.1 it can now install parts of games that offer a selective download, you can run games using an "alternative" executable, available DLC will be listed along with a toggle to bring them all or not and you can actually check the download / install size before installing games now.

For Linux (and macOS) the launcher can now use Wine bottles made with CodeWeavers' CrossOver, there's a new option to enable / disable Esync/Fsync along with various tech upgrades behind the scenes and a good few bug fixes too.

Hopefully one day Epic will decide to actually bring their store to Linux, until then Heroic seems to do the job quite nicely. Since the store doesn't support Linux though, all will use either Wine or Proton so the usual caveats apply there with it not being supported by the developer.

Check it out on GitHub.

Article taken from GamingOnLinux.com.
21 Likes
We do often include affiliate links to earn us some pennies. We are currently affiliated with GOG and Humble Store. See more here.
About the author -
author picture
I am the owner of GamingOnLinux. After discovering Linux back in the days of Mandrake in 2003, I constantly came back to check on the progress of Linux until Ubuntu appeared on the scene and it helped me to really love it. You can reach me easily by emailing GamingOnLinux directly.
See more from me
8 comments

nenoro 11 Oct
lies, that waifu game i can't launch because of that "space issue" which i don't have.... i wanna play Waifu Impacto !!!!
Liam Dawe 11 Oct
Quoting: GuestUh what? If you mean Genshin Impact you can play it on linux just fine.
Not legitimately you can't. There has been workarounds which I won't link, which messed with the anti-cheat. It's not currently possible to play Genshin Impact on Linux.
Liam Dawe 11 Oct
Working around anti-cheat is absolutely not something we're okay with. Don't advertise it.
Liam Dawe 11 Oct
Quoting: Guest
Quoting: Liam DaweWorking around anti-cheat is absolutely not something we're okay with. Don't advertise it.

I'm not advertising it, or do you see an actual link to the workaround?
*sigh*

You must know what I mean. You're saying it works "just fine". What I am asking is not to advocate for such a game, when in fact it does not, as you have to work around their anti-cheat. This is not something we want here. It gives the wrong impression, and much like what happened with Destiny 2 can lead users to get banned. Say it as it is: no, you can't legitimately play it on Linux.
Phlebiac 11 Oct
Not sure why 1.10.0 was skipped, but 1.10.2 is already out.
fearnflavio 12 Oct
View PC info
  • Supporter Plus
Quoting: PhlebiacNot sure why 1.10.0 was skipped, but 1.10.2 is already out.

Was my mistake when setting up the Release candidate. I used 1.10.0 for it instead of using an RC on the version name.

Then 1.10 started on 1.10.1 and then I released a fix for it already.
Quoting: Liam DaweSay it as it is: no, you can't legitimately play it on Linux.
This isn't wrong, but for people who doesn't care about "legitimately play" something on Linux, what matters is that they can't. With workarounds, that might not be available all the time, but if the question is just "Can I play it, yes or no?" then, yeah.

For me personally, it's just a question of how much I want to play a game and how much of a pain in the ass is it. Genshin is kinda annoying to set up, I don't really care about it, and I have objection towards what several of their policies, so I don't. OTOH I've pretty much streamlined the process of playing the visual novels I pirate because I want to play them and I don't care about getting those outside of Steam and MangaGamer legitimately.
nenoro 12 Oct
Quoting: fearnflavio
Quoting: PhlebiacNot sure why 1.10.0 was skipped, but 1.10.2 is already out.

Was my mistake when setting up the Release candidate. I used 1.10.0 for it instead of using an RC on the version name.

Then 1.10 started on 1.10.1 and then I released a fix for it already.

any idea why with Genshin Impact i have the "space issue" and when i try to select another folder it gives me an error ? (sorry to bother you with this problem)
While you're here, please consider supporting GamingOnLinux on:

Patreon, Liberapay or PayPal Donation.

This ensures all of our main content remains totally free for everyone with no article paywalls. We also don't have tons of adverts, there's also no tracking and we respect your privacy. Just good, fresh content. Without your continued support, we simply could not continue!

You can find even more ways to support us on this dedicated page any time. If you already are, thank you!
Login / Register

Or login with...
Sign in with Steam Sign in with Twitter Sign in with Google
Social logins require cookies to stay logged in.

Livestreams & Videos
Community Livestreams
Latest Forum Posts